import { type CarLotStatus } from './recommend.worker';
import { End2, Facility, RoadData2, Start2 } from '../../utils';
import { ParkingType } from '../../types';
interface RecommendParkingSpaceOptions {
    placeId: string | number;
    catLotStatusApi: string;
    filterCarLotStatus?: (carLotStatus: CarLotStatus[]) => CarLotStatus[];
}
export declare class RecommendParkingSpace {
    worker: Worker;
    options: RecommendParkingSpaceOptions;
    constructor(options?: Partial<RecommendParkingSpaceOptions>);
    setRoadData(roadData: RoadData2, facilities: Facility[]): Promise<any>;
    recommend(data: {
        start: Start2;
        end?: End2;
        travelDirection?: number;
        parkingType?: ParkingType;
    }): Promise<any>;
    dispose(): void;
}
export {};
